%global momorel 2
%global srcname x3f
%global kdever 4.3.2
%global kdelibsrel 1m

Summary: Tools for SIGMA Feveon X3 X3F RAW files
Name: x3f-tools
Version: 016
Release: %{momorel}m%{?dist}
License: BSD
URL: http://www.proxel.se/x3f.html
Group: Applications/Multimedia
Source0: http://www.proxel.se/downloads/%{srcname}-%{version}.tgz
NoSource: 0
Source1: %{srcname}_extract_to_jpg.desktop
Source2: %{srcname}_extract_to_raw.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# for macros.kde4
BuildRequires: cmake
BuildRequires: coreutils

%description
The info tool

This is really a test program - doing nothing of any great value. It shows how to use the X3F IO library for reading and writing X3F files. It also dumps some information about the file. It is used thus:

x3f_io_test foo.x3f

The extract tool

This tool can extract the RAW Foveon sensor data and dump it as TIFF (or RAW). By default the data is scaled and gamma coded. It can also dump the JPEG (thumbnail) file. It is used thus:

x3f_extract -raw [-noscale] foo.x3f

x3f_extract -jpg foo.x3f

The first will create a file called foo.x3f.tif and the second foo.x3f.jpg. The x3f_extract tool can take several input files, i.e. work in batch mode.

DP1 RAW extraction unsupported...

%package kde
Summary: X3F extracting support for Dolphin File Manager
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: oxygen-icons

%description kde
X3F extracting service menus for Dolphin File Manager.

%prep
%setup -q -n %{srcname}_%{version}

#clean up precompiled binaries
rm -rf linux

%build
make CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# install x3f_extract and x3f_io_test
mkdir -p %{buildroot}%{_bindir}
install -m 755 linux/%{srcname}_extract %{buildroot}%{_bindir}/
install -m 755 linux/%{srcname}_io_test %{buildroot}%{_bindir}/

# install Dolphin support
mkdir -p %{buildroot}%{_kde4_datadir}/kde4/services/ServiceMenus
install -m 644 %{SOURCE1} %{buildroot}%{_kde4_datadir}/kde4/services/ServiceMenus/
install -m 644 %{SOURCE2} %{buildroot}%{_kde4_datadir}/kde4/services/ServiceMenus/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc changes.txt readme.txt
%{_bindir}/%{srcname}_extract
%{_bindir}/%{srcname}_io_test

%files kde
%defattr(-,root,root)
%{_kde4_datadir}/kde4/services/ServiceMenus/%{srcname}_extract_to_jpg.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/%{srcname}_extract_to_raw.desktop

%changelog
* Thu Oct 15 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (016-2m)
- build with optflags
- add Dolphin support as a package x3f-tools-kde

* Thu Oct 15 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (016-1m)
- initial package for Feveon X3 freaks using Momonga Linux
